r1346 + last changes before RackTables 0.14.7 release
authorDenis Ovsienko <infrastation@yandex.ru>
Wed, 5 Dec 2007 12:18:15 +0000 (12:18 +0000)
committerDenis Ovsienko <infrastation@yandex.ru>
Wed, 5 Dec 2007 12:18:15 +0000 (12:18 +0000)
ChangeLog
inc/config.php
upgrade.php

index 6463912ecd00e956499661192f79796ad7959e99..6442a8758115036cab4039ffa6b0a5bcd833f805 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,4 @@
-0.14.7
+0.14.7 2007-12-05
        bugfix: provide better SQL dumps for new installations
        bugfix: gateways/switchvlans minor updates
        bugfix: logout link could fail sometimes
@@ -10,7 +10,7 @@
        update: numerous UI adjustments across all pages
        new feature: more cisco models support in gateways/switchvlans
        new feature: initial implementation of SNMP port data importer
-       new feature: reset UI configuration to defaults
+       new feature: UI configuration reset tab
        new feature: initial reports code
 0.14.6 2007-10-15
        new feature: browser-side validation for a new IPv4 network
index 1afcac5a95302d1e2419ea7c21081ee1f3ecefc3..cd0b87fa08fe341c2e5fb855bee9f75e2425e388 100644 (file)
@@ -11,7 +11,7 @@
 
 
 // Current code version is subject to change with each new release.
-define ('CODE_VERSION', '0.14.6');
+define ('CODE_VERSION', '0.14.7');
 
 // The name of hash used to store account password hashes
 // in the database. I think, we are happy with this one forever.
index edfef9eaf34a7ddb43be7883b387bb6a1dce452a..9fcba0e5c1e08371bbf87e615f5abc1fa98b7041 100644 (file)
@@ -8,7 +8,7 @@
 // Returning an empty array means that no upgrade is necessary.
 function getDBUpgradePath ($v1, $v2)
 {
-       $versionhistory = array ('0.14.4', '0.14.5', '0.14.6');
+       $versionhistory = array ('0.14.4', '0.14.5', '0.14.6', '0.14.7');
        if (!in_array ($v1, $versionhistory) || !in_array ($v2, $versionhistory))
        {
                showError ("An upgrade path has been requested for versions '${v1}' and '${v2}', " .
@@ -646,7 +646,6 @@ echo 'Code version == ' . CODE_VERSION;
 echo '<br>Database version == ' . $dbver;
 if ($dbver == CODE_VERSION)
 {
-       executeUpgradeBatch ('0.14.7');
        die ("<p align=justify>Your database seems to be up-to-date. " .
                "Now the best thing to do would be to follow to the <a href='${root}'>main page</a> " .
                "and explore your data. Have a nice day.</p>");